### Method

# Hex Buffer get_data

#### Declaration

    char*
    hex_buffer_get_data (
      HexBuffer* self,
      gint64 offset,
      size_t len
    )

#### Description

Get data of a particular size at a particular offset within the buffer.

#### Parameters

`offset`

  Type: `gint64`

  Offset position of the data being requested within the payload.

`len`

  Type: `size_t`

  Size in bytes of the requested data.

#### Return value

Type: `char*`

A pointer to the data requested, to be freed with g_free().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.